Skip to main content
GET
/
v1
/
environment_groups
cURL
curl --request GET \
--url https://api.baseten.co/v1/environment_groups \
--header "Authorization: Bearer $BASETEN_API_KEY"
{
  "items": [
    {
      "name": "<string>",
      "team_id": "<string>",
      "team_name": "<string>",
      "manage_access": {
        "is_restricted": true,
        "users": [
          {
            "user_id": "<string>",
            "email": "<string>",
            "name": "<string>"
          }
        ]
      }
    }
  ],
  "pagination": {
    "has_more": true,
    "cursor": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Send Authorization: Bearer <api_key>. The legacy Authorization: Api-Key <api_key> scheme is also accepted.

Response

200 - application/json

A page of environment groups.

items
EnvironmentGroupV1 · object[]
required

Items in this page.

pagination
PaginationResponseV1 · object
required

Pagination metadata for the page.